--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Routing numbers may be validated by calculating a checksum and dividing it by 10. The formula is:"
- !ruby/struct:SM::Flow::VERB 
  body: "  (3(d1 + d4 + d7) + 7(d2 + d5 + d8) + 1(d3 + d6 + d9))mod 10 = 0\n"
- !ruby/struct:SM::Flow::P 
  body: See http://en.wikipedia.org/wiki/Routing_transit_number#Internal_checksums
full_name: ActiveMerchant::Billing::Check#valid_routing_number?
is_singleton: false
name: valid_routing_number?
params: ()
visibility: public
